Loading...
Searching...
No Matches
vector_sink.h File Reference
`#include <gnuradio/blocks/api.h>`
`#include <gnuradio/sync_block.h>`
`#include <cstdint>`
Include dependency graph for vector_sink.h:

Go to the source code of this file.

## Classes

class | gr::blocks::vector_sink< T >
| T sink that writes to a vector. More...

## Namespaces

namespace | gr
| GNU Radio logging wrapper.
namespace | gr::blocks

## Typedefs

typedef vector_sink< std::uint8_t > | gr::blocks::vector_sink_b
typedef vector_sink< std::int16_t > | gr::blocks::vector_sink_s
typedef vector_sink< std::int32_t > | gr::blocks::vector_sink_i
typedef vector_sink< float > | gr::blocks::vector_sink_f
typedef vector_sink< gr_complex > | gr::blocks::vector_sink_c